Projects
List projects (paginated)
Returns a paginated list of projects for which the user has access. Supports optional pagination parameters.
Parameters:
-
skip(query, optional): Number of records to skip for pagination. -
top(query, optional): Maximum number of records to return.
GET
/
Project
List projects (paginated)
curl --request GET \
--url https://api.plantpredict.terabase.energy/Project \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.plantpredict.terabase.energy/Project"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.plantpredict.terabase.energy/Project', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"latitude": 41.6528052,
"longitude": -83.5378674,
"country": "United States",
"countryCode": "US",
"stateProvince": "Ohio",
"stateProvinceCode": "OH",
"locality": "Toledo",
"region": "North America",
"elevation": 178.5460357666016,
"standardOffsetFromUTC": -5,
"status": 0,
"distance": 0,
"id": 190781,
"name": "Mock Project Atlas",
"companyId": 1042,
"createdDate": "2026-01-29T09:49:36.19"
},
{
"latitude": 33.348,
"longitude": -112.817,
"country": "United States",
"countryCode": "US",
"stateProvince": "Arizona",
"stateProvinceCode": "AZ",
"locality": "Arlington",
"region": "North America",
"elevation": 268.2567138671875,
"standardOffsetFromUTC": -7,
"status": 0,
"distance": 0,
"id": 190780,
"name": "Mock Project Saguaro",
"companyId": 1042,
"createdDate": "2026-01-29T09:47:08.917"
},
{
"latitude": 31.63,
"longitude": -89.95,
"country": "United States",
"countryCode": "US",
"stateProvince": "Mississippi",
"stateProvinceCode": "MS",
"locality": "Prentiss",
"region": "North America",
"elevation": 124.3755340576172,
"standardOffsetFromUTC": -6,
"status": 0,
"distance": 0,
"id": 190779,
"name": "Mock Project Magnolia",
"companyId": 1042,
"createdDate": "2026-01-29T09:08:06.157"
},
{
"latitude": 37.745439395979105,
"longitude": -119.53304740776922,
"country": "United States",
"countryCode": "US",
"stateProvince": "California",
"stateProvinceCode": "CA",
"locality": "Mariposa County",
"region": "North America",
"elevation": 2675.35595703125,
"standardOffsetFromUTC": -8,
"status": 0,
"distance": 0,
"id": 190764,
"name": "Mock Project Sierra",
"companyId": 1042,
"createdDate": "2026-01-26T21:42:48.037"
},
{
"latitude": 45.19650126701191,
"longitude": -84.9482652314071,
"country": "United States",
"countryCode": "US",
"stateProvince": "Michigan",
"stateProvinceCode": "MI",
"locality": "Boyne City",
"region": "North America",
"elevation": 210.8321380615234,
"standardOffsetFromUTC": -5,
"status": 0,
"distance": 0,
"id": 190744,
"name": "Mock Project Great Lakes",
"companyId": 1042,
"createdDate": "2026-01-23T13:47:33.16"
},
{
"latitude": 45.5635,
"longitude": -120.5628,
"country": "United States",
"countryCode": "US",
"stateProvince": "Oregon",
"stateProvinceCode": "OR",
"locality": "Wasco",
"region": "North America",
"elevation": 461.2723083496094,
"standardOffsetFromUTC": -8,
"status": 0,
"distance": 0,
"id": 190742,
"name": "Mock Project Columbia",
"companyId": 1042,
"createdDate": "2026-01-22T19:24:25.303"
},
{
"latitude": -35.14729,
"longitude": 149.599047,
"country": "Australia",
"countryCode": "AU",
"stateProvince": "New South Wales",
"stateProvinceCode": "NSW",
"locality": "Tarago",
"region": "Australia",
"elevation": 762.80419921875,
"standardOffsetFromUTC": 10,
"status": 0,
"distance": 0,
"id": 190738,
"name": "Mock Project Southern Cross",
"companyId": 1042,
"createdDate": "2026-01-22T09:14:10.217"
},
{
"latitude": 45.64675117988259,
"longitude": -120.58828583328498,
"country": "United States",
"countryCode": "US",
"stateProvince": "Oregon",
"stateProvinceCode": "OR",
"locality": "Wasco",
"region": "North America",
"elevation": 379.0628356933594,
"standardOffsetFromUTC": -8,
"status": 0,
"distance": 0,
"id": 190737,
"name": "Mock Project High Desert",
"companyId": 1042,
"createdDate": "2026-01-22T06:00:14.433"
},
{
"latitude": 45.64675117988259,
"longitude": -120.58828583328498,
"country": "United States",
"countryCode": "US",
"stateProvince": "Oregon",
"stateProvinceCode": "OR",
"locality": "Wasco",
"region": "North America",
"elevation": 379.0628356933594,
"standardOffsetFromUTC": -8,
"status": 0,
"distance": 0,
"id": 190736,
"name": "Mock Project Cascade",
"companyId": 1042,
"createdDate": "2026-01-22T05:59:26.08"
},
{
"latitude": 38.122296115753,
"longitude": -91.40624999997603,
"country": "United States",
"countryCode": "US",
"stateProvince": "Missouri",
"stateProvinceCode": "MO",
"locality": "Cuba",
"region": "North America",
"elevation": 269.2212829589844,
"standardOffsetFromUTC": -6,
"status": 0,
"distance": 0,
"id": 190733,
"name": "Mock Project Ozark",
"companyId": 1042,
"createdDate": "2026-01-22T05:20:26.747"
}
]"An error has occurred."Authorizations
Pass Authorization: Bearer <token> on every request. See the Authentication section of the API description for how to fetch a token.
Response
Array of projects
ProjectStatusEnum
Available options:
0, 1, 2 ISO-8601 datetime as returned by the PlantPredict API. May or may not include a timezone offset; treat as server-local when no offset is present.
⌘I
List projects (paginated)
